<template>
  <div>
    <!-- ICON -->
    <svg
      v-if="showIcon === true"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 32 37"
      width="100%"
      height="100%"
    >
      <path
        d="M31 7H1V6c0-2.61 2.42-5 5-5h20c2.58 0 5 2.39 5 5v1z"
        fill="#8FD8F7"
      />
      <path
        d="M1 25v1c0 2.61 2.42 5 5 5h13v6l6-6h1c2.58 0 5-2.39 5-5v-1H1z"
        fill="#155397"
      />
      <path d="M1 17v6h30v-6H1z" fill="#2D6DB5" />
      <path d="M1 9v6h30V9H1z" fill="#46A2D9" />
    </svg>
    <!-- LABEL -->
    <svg
      v-if="showLabel === true"
      viewBox="160.903 59.834 86.07 12.64"
      width="100%"
      height="100%"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M 189.313 69.704 L 187.353 66.504 L 186.313 67.664 L 186.313 69.704 L 184.893 69.704 L 184.893 59.954 L 186.313 59.954 L 186.313 65.964 L 189.043 62.774 L 190.763 62.774 L 188.323 65.474 L 191.063 69.694 L 189.313 69.694 Z M 182.253 69.784 C 180.663 69.784 179.113 68.824 179.113 66.224 C 179.113 63.624 180.663 62.684 182.253 62.684 C 183.223 62.684 183.903 62.954 184.563 63.654 L 183.593 64.584 C 183.153 64.104 182.803 63.924 182.253 63.924 C 181.703 63.924 181.253 64.144 180.953 64.544 C 180.643 64.924 180.533 65.414 180.533 66.224 C 180.533 67.034 180.633 67.544 180.943 67.924 C 181.243 68.324 181.703 68.544 182.243 68.544 C 182.803 68.544 183.143 68.364 183.593 67.884 L 184.563 68.804 C 183.903 69.504 183.223 69.784 182.253 69.784 Z M 176.593 66.634 L 174.943 66.634 C 174.113 66.634 173.683 67.004 173.683 67.634 C 173.683 68.264 174.083 68.624 174.983 68.624 C 175.513 68.624 175.913 68.584 176.283 68.224 C 176.503 68.024 176.593 67.694 176.593 67.194 L 176.593 66.634 Z M 176.623 69.704 L 176.623 69.074 C 176.113 69.574 175.623 69.784 174.753 69.784 C 173.883 69.784 173.293 69.584 172.863 69.154 C 172.491 68.748 172.294 68.213 172.313 67.664 C 172.313 66.504 173.133 65.664 174.733 65.664 L 176.593 65.664 L 176.593 65.164 C 176.593 64.294 176.153 63.864 175.053 63.864 C 174.283 63.864 173.903 64.044 173.513 64.544 L 172.593 63.684 C 173.253 62.914 173.943 62.684 175.113 62.684 C 177.043 62.684 178.013 63.484 178.013 65.064 L 178.013 69.704 L 176.623 69.704 Z M 170.723 69.704 C 169.403 69.704 168.793 68.774 168.793 67.774 L 168.793 63.954 L 167.993 63.954 L 167.993 62.874 L 168.793 62.874 L 168.793 60.774 L 170.203 60.774 L 170.203 62.874 L 171.563 62.874 L 171.563 63.944 L 170.203 63.944 L 170.203 67.694 C 170.203 68.194 170.453 68.504 170.983 68.504 L 171.563 68.504 L 171.563 69.704 L 170.713 69.704 Z M 164.393 69.784 C 162.913 69.784 161.843 69.444 160.903 68.504 L 161.903 67.524 C 162.623 68.244 163.413 68.464 164.423 68.464 C 165.723 68.464 166.463 67.914 166.463 66.964 C 166.463 66.544 166.333 66.184 166.073 65.954 C 165.823 65.724 165.573 65.624 164.993 65.544 L 163.833 65.374 C 163.141 65.312 162.485 65.04 161.953 64.594 C 161.455 64.107 161.193 63.429 161.233 62.734 C 161.233 61.034 162.483 59.874 164.533 59.874 C 165.833 59.874 166.753 60.204 167.603 60.974 L 166.643 61.914 C 166.057 61.383 165.281 61.113 164.493 61.164 C 163.333 61.164 162.693 61.814 162.693 62.684 C 162.693 63.034 162.793 63.354 163.063 63.584 C 163.313 63.804 163.713 63.964 164.173 64.034 L 165.303 64.204 C 166.213 64.334 166.723 64.554 167.143 64.924 C 167.683 65.394 167.943 66.094 167.943 66.924 C 167.943 68.724 166.463 69.784 164.393 69.784 Z"
        fill="#000000"
      />
      <path
        d="M 245.063 64.864 C 244.863 64.444 244.463 64.124 243.863 64.124 C 243.263 64.124 242.873 64.444 242.683 64.864 C 242.583 65.114 242.533 65.304 242.523 65.614 L 245.223 65.614 C 245.218 65.356 245.164 65.101 245.063 64.864 Z M 242.523 66.824 C 242.523 67.724 243.083 68.394 244.073 68.394 C 244.853 68.394 245.233 68.184 245.683 67.734 L 246.763 68.774 C 246.075 69.531 245.084 69.939 244.063 69.884 C 242.383 69.884 240.773 69.124 240.773 66.264 C 240.773 63.964 242.033 62.664 243.873 62.664 C 245.843 62.664 246.973 64.104 246.973 66.034 L 246.973 66.824 L 242.523 66.824 Z M 237.043 64.254 C 236.003 64.254 235.903 65.144 235.903 66.074 C 235.903 67.014 236.003 67.924 237.053 67.924 C 238.103 67.924 238.233 67.014 238.233 66.074 C 238.233 65.144 238.103 64.254 237.053 64.254 Z M 236.873 72.474 C 235.773 72.474 235.033 72.264 234.293 71.554 L 235.393 70.444 C 235.793 70.824 236.193 70.984 236.793 70.984 C 237.853 70.984 238.223 70.244 238.223 69.524 L 238.223 68.804 C 237.753 69.314 237.223 69.504 236.523 69.504 C 235.833 69.504 235.233 69.274 234.843 68.884 C 234.173 68.224 234.113 67.314 234.113 66.084 C 234.113 64.844 234.173 63.954 234.843 63.284 C 235.243 62.894 235.843 62.664 236.543 62.664 C 237.293 62.664 237.783 62.864 238.273 63.414 L 238.273 62.744 L 239.993 62.744 L 239.993 69.544 C 239.993 71.244 238.783 72.474 236.873 72.474 Z M 231.113 69.804 L 231.113 65.534 C 231.113 64.574 230.503 64.254 229.943 64.254 C 229.383 64.254 228.763 64.574 228.763 65.534 L 228.763 69.804 L 226.983 69.804 L 226.983 62.744 L 228.713 62.744 L 228.713 63.394 C 229.181 62.917 229.824 62.653 230.493 62.664 C 231.193 62.664 231.773 62.894 232.163 63.284 C 232.743 63.854 232.893 64.524 232.893 65.284 L 232.893 69.804 L 231.103 69.804 Z M 224.013 66.824 L 222.613 66.824 C 221.973 66.824 221.613 67.124 221.613 67.624 C 221.613 68.114 221.943 68.434 222.633 68.434 C 223.133 68.434 223.433 68.394 223.753 68.094 C 223.953 67.924 224.013 67.634 224.013 67.204 L 224.013 66.824 Z M 224.053 69.804 L 224.053 69.204 C 223.573 69.674 223.123 69.874 222.313 69.874 C 221.513 69.874 220.913 69.674 220.493 69.254 C 220.113 68.854 219.913 68.284 219.913 67.664 C 219.913 66.544 220.683 65.614 222.333 65.614 L 224.013 65.614 L 224.013 65.274 C 224.013 64.504 223.633 64.164 222.693 64.164 C 222.013 64.164 221.693 64.324 221.323 64.744 L 220.193 63.644 C 220.893 62.894 221.573 62.674 222.763 62.674 C 224.753 62.674 225.783 63.514 225.783 65.174 L 225.783 69.814 L 224.053 69.814 Z M 217.123 69.804 L 217.123 65.504 C 217.123 64.564 216.523 64.254 215.973 64.254 C 215.413 64.254 214.823 64.574 214.823 65.494 L 214.823 69.804 L 213.053 69.804 L 213.053 60.154 L 214.823 60.154 L 214.823 63.394 C 215.266 62.928 215.88 62.665 216.523 62.664 C 218.083 62.664 218.903 63.744 218.903 65.234 L 218.903 69.804 L 217.123 69.804 Z M 210.163 69.884 C 208.743 69.884 206.983 69.124 206.983 66.264 C 206.983 63.414 208.743 62.664 210.163 62.664 C 211.143 62.664 211.883 62.964 212.503 63.614 L 211.303 64.814 C 210.943 64.414 210.623 64.254 210.163 64.254 C 209.743 64.254 209.413 64.394 209.153 64.714 C 208.883 65.044 208.753 65.514 208.753 66.264 C 208.753 67.014 208.883 67.504 209.153 67.844 C 209.413 68.144 209.743 68.304 210.153 68.304 C 210.623 68.304 210.943 68.144 211.303 67.744 L 212.503 68.924 C 211.883 69.574 211.143 69.884 210.163 69.884 Z M 204.633 69.804 L 203.333 67.694 L 202.033 69.804 L 199.903 69.804 L 202.353 66.204 L 200.003 62.744 L 202.123 62.744 L 203.323 64.774 L 204.533 62.754 L 206.663 62.754 L 204.303 66.204 L 206.763 69.804 L 204.633 69.804 Z M 192.883 69.804 L 192.883 59.834 L 199.483 59.834 L 199.483 61.574 L 194.833 61.574 L 194.833 63.904 L 198.793 63.904 L 198.793 65.644 L 194.833 65.644 L 194.833 68.064 L 199.483 68.064 L 199.483 69.804 L 192.883 69.804 Z"
        fill="#2F96E8"
      />
    </svg>
  </div>
</template>

<script>
export default {
  props: {
    showIcon: {
      default: true,
    },
    showLabel: {
      default: false,
    },
  },
};
</script>
